apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "apache2-fcgi-proxy.fullname" . }}
  labels:
    {{- include "apache2-fcgi-proxy.labels" . | nindent 4 }}
spec:
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
      {{- include "apache2-fcgi-proxy.selectorLabels" . | nindent 6 }}
  template:
    metadata:
      labels:
        {{- include "apache2-fcgi-proxy.selectorLabels" . | nindent 8 }}
    spec:
      containers:
        - name: {{ .Chart.Name }}
          image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          {{- if .Values.envvarsCM }}
          envFrom:
            - configMapRef:
                name: {{ .Values.envConfigMapName }}
          {{- end }}
          {{- if .Values.envVars }}
          env:
            {{- toYaml .Values.envVars | nindent 12 }}
          {{- end }}
          ports:
            - name: http
              containerPort: {{ .Values.service.port }}
              protocol: TCP
          livenessProbe:
            httpGet:
              path: /
              port: http
          readinessProbe:
            httpGet:
              path: /
              port: http
          resources:
            {{- toYaml .Values.resources | nindent 12 }}
